Intereting Posts
Произошло событие Fire на AsyncTask Как читать изображение с определенного URL-адреса в андроиде Проигрыватель Android USB, считанный с устройства Обновление Android APK от родной до не-собственной архитектуры приводит к сбоям в 64-разрядных устройствах Android: html в strings.xml Изменение скорости перехода ViewPager и setCurrentItem Android webview и loadData, могу ли я вернуть кнопку возврата к сгенерированному контенту? Какой язык init.rc в android? Android.content.ActivityNotFoundException с использованием Intent Платформа мобильной разработки Titanium Как я могу исправить? Эта версия библиотеки рендеринга более поздняя, ​​чем ваша версия плагина ADT в eclipse Как справиться с подключением к Интернету? Не найден ресурс, который соответствует указанному имени '@ style / Widget.RatingBar.Small' Как поместить горизонтальную линию делителя между редактированием текста в действии Firebase JobDispatcher vs Evernote Android Job – как эти два сравнения?

Я обновил Android от targetSdk 22 до 23, и я получаю NoSuchMethodError. Как я могу это исправить?

Вот моя конфигурация и моя экспрессия, я не уверен, как это исправить?

compileSdkVersion 23 buildToolsVersion "23.0.1" defaultConfig { applicationId "com.rithmio.coach" minSdkVersion 19 targetSdkVersion 23 } 

 09-17 22:52:15.645 15249-15249/com.rithmio.coach E/AndroidRuntime﹕ FATAL EXCEPTION: main Process: com.rithmio.coach, PID: 15249 java.lang.NoSuchMethodError: No virtual method getColor(ILandroid/content/res/Resources$Theme;)I in class Landroid/content/res/Resources; or its super classes (declaration of 'android.content.res.Resources' appears in /system/framework/framework.jar) at com.rithmio.coach.mobile.fragment.WorkoutsListFragment.onCreateView(WorkoutsListFragment.java:55) at android.support.v4.app.Fragment.performCreateView(Fragment.java:1962) at android.support.v4.app.FragmentManagerImpl.moveToState(FragmentManager.java:1016) at android.support.v4.app.FragmentManagerImpl.moveToState(FragmentManager.java:1197) at android.support.v4.app.BackStackRecord.run(BackStackRecord.java:738) at android.support.v4.app.FragmentManagerImpl.execPendingActions(FragmentManager.java:1562) at android.support.v4.app.FragmentController.execPendingActions(FragmentController.java:330) at android.support.v4.app.FragmentActivity.onStart(FragmentActivity.java:511) at com.rithmio.coach.mobile.MobileMainActivity.onStart(MobileMainActivity.java:269) at android.app.Instrumentation.callActivityOnStart(Instrumentation.java:1236) at android.app.Activity.performStart(Activity.java:6006) at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:2288) at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:2387) at android.app.ActivityThread.access$800(ActivityThread.java:151) at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1303) at android.os.Handler.dispatchMessage(Handler.java:102) at android.os.Looper.loop(Looper.java:135) at android.app.ActivityThread.main(ActivityThread.java:5254) at java.lang.reflect.Method.invoke(Native Method) at java.lang.reflect.Method.invoke(Method.java:372) at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:903) at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:698) 

Вам нужно использовать ContextCompat.getColor () , который является частью библиотеки поддержки V4 (поэтому он будет работать для всего предыдущего API).

 ContextCompat.getColor(context, R.color.my_color) 

Вам нужно будет добавить библиотеку поддержки V4, добавив следующее в массив dependencies внутри вашего приложения build.gradle:

 compile 'com.android.support:support-v4:23.0.1' 

Если вы заботитесь о тематике, в документации указывается, что метод будет использовать тему контекста:

Начиная с M, возвращенный цвет будет оформлен для указанной темы Контекста

Если вы используете метод Resource.getColor (int id) внутри вашего фрагмента, то он устарел, как указано в документации
Поэтому решение – либо пойти на Resource.getColor (int id, Resource.Theme theme), как упоминается в документации … но тогда вам нужно использовать его, если условие, проверив версию Android или
Вы можете использовать класс ContextCompat из библиотеки v4, как упоминается здесь